Skip to main content
GET
List past rentals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string | null
Maximum string length: 512
limit
integer
default:25
Required range: 1 <= x <= 100
gpuType
enum<string>
Available options:
h100,
h200,
b200,
rtx-6000-pro
region
enum<string>
Available options:
us-central-1,
us-central-2,
eu-north-2,
eu-west-2,
eu-north-4,
eu-north-5,
us-east-1,
us-east-2,
ca-east-3,
eu-north-6,
eu-north-7,
eu-north-8,
ca-west-1,
ca-east-1,
us-central-3,
us-southeast-1,
me-central-1,
ca-east-2,
eu-west-1,
us-southeast-2,
jp-east-1,
us-southeast-3,
eu-west-5,
us-east-3,
uk-central-3,
uk-southeast-3,
eu-southwest-3,
eu-southwest-3-1,
eu-west-3,
eu-west-4,
private-cloud
termType
enum<string>
Available options:
on-demand,
reserved,
private-cloud
includePrivateCloud
boolean

Include private-cloud rentals. Ignored when termType is set.

rentalType
enum<string>
Available options:
virtual-machine,
bare-metal

Response

Successful response

One page of past rentals, most recently terminated first. Pass nextCursor back as cursor for the next page; it is null on the last page. totalCount is set on the first page only.

items
object[]
required
nextCursor
string | null
required
totalCount
integer | null
required
Required range: 0 <= x <= 9007199254740991